/* ******************************************************************************************** */
/* *                                                                                          * */
/* *                              X.25 Interface Library                                      * */
/* *                              ----------------------                                      * */
/* *                                                                                          * */
/* *                           X25_Interface_Library_defs.r                                   * */
/* *                                                                                          * */
/* *..........................................................................................* */
/* *                                                                                          * */
/* *     This file provides the synbolic definitions for the resource numbers that are        * */
/* *     used by the "X.25 Interface Library.r" resource file.                                * */
/* *                                                                                          * */
/* *     These symbolic definitions are in a seperate file that may be directly included      * */
/* *     in C programs that access the "X.25 Interface Library.r" resource file.              * */
/* *                                                                                          * */
/* *..........................................................................................* */
/* *                                                                                          * */
/* *     By Macintosh O.S. conventions, resources 128 to 32767 are available for use by       * */
/* *     general programs.  All resources used by the "X.25 Interface Library" are in the     * */
/* *     range of 3000 to 3199.                                                               * */
/* *                                                                                          * */
/* *     Programs using this library are therefore restricted to resources in the range of    * */
/* *     128 to 2999 and 3200 to 32767.                                                       * */
/* *                                                                                          * */
/* *     These definitions must not be changed.  They are provided to allow you symbolic      * */
/* *     access to any of the Interface Library resources from within any C programs that     * */
/* *     you develop.                                                                         * */
/* *                                                                                          * */
/* *                                                                                          * */
/* *------------------------------------------------------------------------------------------* */
/* *                                                                                          * */
/* *                   Copyright  1988-1990 Apple Computer, Inc.                             * */
/* *                               All Rights Reserved                                        * */
/* *                                                                                          * */
/* *------------------------------------------------------------------------------------------* */
/* *                                                                                          * */
/* *     Revision History:                                                                    * */
/* *                                                                                          * */
/* *     Date       Individual          Changes                                               * */
/* *     .........  ................... ..................................................    * */
/* *                                                                                          * */
/* *     07 Dec 89  D. N. Willey        Split the resource symbolic definitions into a        * */
/* *                                    seperate file.                                        * */
/* *                                                                                          * */
/* ******************************************************************************************** */
    

    

/* ******************************************************************************************** */
/* *                                                                                          * */
/* *    Resource Number Assignments                                                           * */
/* *                                                                                          * */
/* ******************************************************************************************** */

/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +                                                                                          + */
/* +    "X25_Chooser" - STR# Resource that contains the Access Information                    + */
/* +                                                                                          + */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#define     strs_chooser                    3030

#define     strs_chooser_file_name              1
#define     strs_chooser_rsc_name               2
#define     strs_chooser_rsc_nbr                3


/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +                                                                                          + */
/* +    "X25_ADDRESS_BOOK" - STR# Resource that contains the Access Information               + */
/* +                                                                                          + */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#define     strs_openbook                   3031

#define     strs_openbook_file_name             1
#define     strs_openbook_rsc_name              2
#define     strs_openbook_rsc_nbr               3
#define     strs_openbook_svr_rec               4
#define     strs_openbook_cnct_rec              5


/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +                                                                                          + */
/* +    "X25_User_ID" - Dialog (and associated ditl) Resources                                + */
/* +                                                                                          + */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#define     dialog_get_name_pass            3040
#define     dialog_set_pass                 3041

#define     dialog_access_refused           3049


/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +                                                                                          + */
/* +    X.25 Admin Messages - Alert (and associated ditl) Resources                           + */
/* +                                                                                          + */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#define     alert_admin                     3050


/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +                                                                                          + */
/* +    STR# Resources for the various Message Generation Functions                           + */
/* +                                                                                          + */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#define     strs_error_decode               3100        /*  3100 to 3164 are reserved for       */
#define     strs_error_decode_max           3164        /*  X25_error_decode.                   */
                                                        /*  3100 to 3131 are currently used.    */

#define     strs_decode_reset               3165
#define     strs_decode_reset_max           3165

#define     strs_decode_interrupt           3166
#define     strs_decode_interrupt_max       3166

#define     strs_decode_clear               3167
#define     strs_decode_clear_max           3167

#define     strs_decode_restart             3168
#define     strs_decode_restart_max         3168

#define     strs_decode_diagnostic          3170        /*  3170 to 3186 are reserved for       */
#define     strs_decode_diagnostic_max      3170        /*  X25_decode_diagnostic.              */

#define     strs_decode_admin               3190        /*  X.25 Admin message decode           */
#define     strs_decode_admin_max           3190



/* ******************************************************************************************** */
/* *                                                                                          * */
/* *    End of File                                                                           * */
/* *                                                                                          * */
/* ******************************************************************************************** */
